Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000473SpeedFanHardware supportpublic2006-02-10 22:482009-05-30 12:09
Reporterbali06 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindows XPOS VersionSP2
Product Version4.27 
Target VersionFixed in Version4.33 
Summary0000473: IT8712 supports upto 5 Fans why SF just 3
DescriptionHi,

i found some infromation about the IT8712F, so it can handle up to 5 Fans, why SF support just 3 (that is the limit of the IT8705F Chip)?

Here the links to the Chip-docs Page 82-90
http://www.ite.com.tw/product_info/file/pc/IT8712F_V0.8.2.pdf [^]

http://www.ite.com.tw/product_info/file/pc/IT8705F_V.0.4.1.pdf [^]

Is it possible to add these additional function to SF?

Regards,

Bali06
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Files

- Relationships
has duplicate 0000607closedalfredo Still cant control all 5 fans with the IT8712F. 

-  Notes
(0001527)
alfredo (manager)
2006-02-13 18:27

The datasheets I had never talked about 5 fans. I'm downloading the updated datasheet. I will be glad to extend support as soon as I get it.
Please, send me a SEND REPORT using SpeedFan and then drop me an email.
(0001528)
alfredo (manager)
2006-02-13 18:29

I just downloaded the updated datasheet and ITE revealed new registers that were not published in previous datasheets. Thank you for letting me know. Simply send me a SEND REPORT and I will add support for those additional fans.
(0001554)
alfredo (manager)
2006-02-26 01:26

I'm deeply investigating reports. If you have an IT8712F chip that supports the extended register mapping, please send me an email.
(0001560)
bali06 (reporter)
2006-02-26 21:01
edited on: 2006-02-26 21:01

Hi Alfredo, i have an ASUS A8N-SLI Premium Mainboard with an IT8712F Chip and i send you already twice my debugreport. How can i help you?

(0001635)
Robendo (reporter)
2006-04-18 15:18

I have a Gigabyte MB with IT8712F and I only have 3 fan places
(0001670)
prinsen (reporter)
2006-05-09 19:53

I have the same chip aswell. My mainboard also have connectors for 5 fans, do you need any help?
Bump :)
(0001673)
bali06 (reporter)
2006-05-12 09:44

@prinsen: can you monitor and control the speed on your mainboard? Which mainboard do you have?
(0001675)
prinsen (reporter)
2006-05-12 13:07

@bali06: I have ASUS A8n-SLI deluxe. I can control the cpu and case fan, but not the chipset-fan (fan3).
(0001676)
almico (administrator)
2006-05-12 13:27

I'm working on this. There are several releases of the same chip and I'm trying to support them all.
(0001776)
tazar (reporter)
2006-06-22 11:09

same problem here! i've same chip on a a8n-sli premium, only 3 fans listed, altough Speedfan reports 5 speed controls (that match with the connectors available on MB). CPU_fan is ok. I've connected a chassis fan to CHA1_fan, CHA2_fan and PWR_fan, but rpm speed and speed regulation is fine only for CHA1. CHA2,PWR,CHIP seems to not be speed-controllable. i sent you a report for the bus.
(0001816)
Kaine (reporter)
2006-07-11 16:13

I have an Asus A8N-SLI Premium with bios revision 1302, and can only control the CPU fan (PWM1), despite SF displaying 5 speed controls. Setting all to Software Control has no effect. Can't remember what my last bios version was, but i was able to control PWM1 and PWM2 (CPU and Chassis 1). Report sent.
(0001817)
dpacker (reporter)
2006-07-12 04:16

A8N32-SLI Deluxe / BIOS: 1205

Mobo: Can control CHA1 and CPU -- PWR Should be controllable, but I can't figure out why it isn't working (I have my 7900GT Zalman fan hooked into PWR)-- Speedfan shows 5 fans. The board has 5 fan headers, it could be that only PWR/CHAS1/and CPU are hooked in to be controlable.
(0001819)
flachschippe (reporter)
2006-07-15 12:23

My board is an A8N-SLI Deluxe. It has five fan headers (CHA1_FAN, CHA2_FAN, CHIP_FAN, CPU_FAN and PWR_FAN). It says in the mainboard's manual: Q-Fan function [BIOS temperature-controls the fan speed] is supported using only the CPU Fan and Chassis Fan 1 (CHA1_FAN).

Speedfan 4.28 shows three fans: Fan1 corresponds to CPU_FAN, Fan2 to CHA1_FAN and Fan3 to CHIP_FAN. Speedfan reports the speeds of these three fans all right. In the Speedfan "Advanced" config, I have selected PWM mode "SmartGuardian" for all three of them, which lets the BIOS control the fan speeds (and it does that very well).

If I set PWM mode to "Software controlled", only CPU_FAN and CHA1_FAN can be controlled by Speedfan. It looks like the CHIP_FAN header has monitoring capability only. The manual states the "the chipset fan is synchronized with the CPU fan". However, CHIP_FAN starts immediately at full speed, while the CPU_FAN does not start until the CPU has warmed up a bit. So it looks like the statement in the manual about the chipset fan being synchronized with the CPU fan is not true.

Someone on the internet has suggested that ASUS used two of the IT8712F's available five fan controllers to implement the game port. This would explain why only three fans can be monitored.

Currently, I have the chipset fan attached to CHA1 (so it is temperature-controlled and monitored), the chassis fans are temperature-controlled by the power supply and the power supply fan's RPM sensor lead is plugged into CHIP_FAN, so that the PSU fan can be monitored via Speedfan (of course, the PSU temperature-controls its own fan).
(0001824)
byblo (reporter)
2006-07-27 09:51

I have the A8N-SLI premium and I guess remember that when you disable the q-fan in the bios, you can monitor the rpm speed of 3 fans connected (cpu, cha1 and chip, or something like that), when q-fan activated, only 2 are available. The same thing appear using the asus probe II, not only speedfan (guess ASUS cheated us with that mobo...)

- Issue History
Date Modified Username Field Change
2006-02-10 22:48 bali06 New Issue
2006-02-13 18:27 alfredo Note Added: 0001527
2006-02-13 18:27 alfredo Status assigned => acknowledged
2006-02-13 18:29 alfredo Note Added: 0001528
2006-02-26 01:26 alfredo Note Added: 0001554
2006-02-26 21:01 bali06 Note Added: 0001560
2006-02-26 21:01 bali06 Note Edited: 0001560
2006-04-18 15:18 Robendo Note Added: 0001635
2006-05-09 19:53 prinsen Note Added: 0001670
2006-05-12 09:44 bali06 Note Added: 0001673
2006-05-12 13:07 prinsen Note Added: 0001675
2006-05-12 13:27 almico Note Added: 0001676
2006-06-22 11:09 tazar Note Added: 0001776
2006-07-11 16:13 Kaine Note Added: 0001816
2006-07-12 04:16 dpacker Note Added: 0001817
2006-07-15 12:23 flachschippe Note Added: 0001819
2006-07-27 09:51 byblo Note Added: 0001824
2006-08-05 12:57 almico Relationship added has duplicate 0000607
2009-05-30 12:09 alfredo Status acknowledged => resolved
2009-05-30 12:09 alfredo Resolution open => fixed
2009-05-30 12:09 alfredo Fixed in Version => 4.33


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3037 seconds.
memory usage: 8,160 KB
Powered by Mantis Bugtracker